petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMTSSetI2Function

set TS implicit function evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Function(DM dm,TSI2Function fun,void *ctx)

Not Collective Many br

### Input Arguments

| dm | - DM to be used with TS Many br
| fun | - function evaluation function, see TSSetI2Function() for calling sequence Many br
| ctx | - context for residual evaluation Many br

Many br

### Note

TSSetI2Function() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. Many br

### See Also

TSSetI2Function()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages